<li [ngClass]="{'list-group-item' :true ,
                'list-group-item-success': PostLoveIts > 0,
                'list-group-item-danger': PostLoveIts < 0}">
  <h4>{{PostTitle}} <span id="date">{{PostCreated_at | date:'MM/dd/yyyy, hh:mm  a'| uppercase }}</span></h4>
  <p>{{PostContent}}</p>
  <button class="btn btn-success"
          (click)="loveIts(1)"> Love It! </button>
  <button class="btn btn-danger"
          (click)="loveIts(-1)"> Don't Love It! </button>
</li>

